This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1300445 - RDO Manager is using deprecated neutron options
RDO Manager is using deprecated neutron options
Status: CLOSED EOL
Product: RDO
Classification: Community
Component: rdo-manager (Show other bugs)
Liberty
Unspecified Unspecified
unspecified Severity unspecified
: ---
: Kilo
Assigned To: Hugh Brock
Shai Revivo
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-20 15:40 EST by Lars Kellogg-Stedman
Modified: 2016-05-19 11:53 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-19 11:53:53 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lars Kellogg-Stedman 2016-01-20 15:40:27 EST
In a fresh RDO Manager mediated install, I see the following in /var/log/neutron*log on the overcloud controllers:

WARNING  oslo_config.cfg [req-c481d368-e289-400a-93cb-eac24eee117f - - - - -] Option "dhcp_delete_namespaces" from group "DEFAULT" is deprecated for removal.  Its value may be silently ignored in the future.
WARNING  oslo_config.cfg [req-c481d368-e289-400a-93cb-eac24eee117f - - - - -] Option "dhcp_domain" from group "DEFAULT" is deprecated for removal.  Its value may be silently ignored in the future.
WARNING  oslo_config.cfg [req-c481d368-e289-400a-93cb-eac24eee117f - - - - -] Option "lock_path" from group "DEFAULT" is deprecated. Use option "lock_path" from group "oslo_concurrency".
WARNING  oslo_config.cfg [req-55e52b5e-419e-4e2d-be94-16159f420235 - - - - -] Option "external_network_bridge" from group "DEFAULT" is deprecated for removal.  Its value may be silently ignored in the future.
WARNING  oslo_config.cfg [req-55e52b5e-419e-4e2d-be94-16159f420235 - - - - -] Option "router_delete_namespaces" from group "DEFAULT" is deprecated for removal.  Its value may be silently ignored in the future.
WARNING  oslo_config.cfg [req-55e52b5e-419e-4e2d-be94-16159f420235 - - - - -] Option "lock_path" from group "DEFAULT" is deprecated. Use option "lock_path" from group "oslo_concurrency".
WARNING  oslo_log.versionutils [-] Deprecated: WritableLogger() is deprecated as of Liberty and may be removed in Mitaka. It will not be superseded.
WARNING  oslo_config.cfg [-] Option "lock_path" from group "DEFAULT" is deprecated. Use option "lock_path" from group "oslo_concurrency".
WARNING  oslo_log.versionutils [-] Deprecated: WritableLogger() is deprecated as of Liberty and may be removed in Mitaka. It will not be superseded.
WARNING  oslo_config.cfg [-] Option "lock_path" from group "DEFAULT" is deprecated. Use option "lock_path" from group "oslo_concurrency".
WARNING  keystonemiddleware.auth_token [-] Use of the auth_admin_prefix, auth_host, auth_port, auth_protocol, identity_uri, admin_token, admin_user, admin_password, and admin_tenant_name configuration options is deprecated in favor of auth_plugin and related options and may be removed in a future release.
WARNING  oslo_log.versionutils [-] Deprecated: WritableLogger() is deprecated as of Liberty and may be removed in Mitaka. It will not be superseded.
WARNING  oslo_config.cfg [-] Option "lock_path" from group "DEFAULT" is deprecated. Use option "lock_path" from group "oslo_concurrency".

The use of deprecated options can complicate the upgrade process if support for those options is dropped in the newer release.
Comment 3 Chandan Kumar 2016-05-19 11:53:53 EDT
This bug is against a Version which has reached End of Life.
If it's still present in supported release (http://releases.openstack.org), please update Version and reopen.

Note You need to log in before you can comment on or make changes to this bug.